
%bcond_with tests

Name:           happy
Version:        1.20.1.1
Release:    1%{?dist}
Summary:        Parser Generator for Haskell

License:        BSD-2-Clause
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
%if %{with tests}
BuildRequires:  ghc-process-devel
%endif
BuildRequires:  autoconf
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  libxml2
BuildRequires:  libxslt
BuildRequires:  make

%description
Happy is a parser generator for Haskell. Given a grammar specification in BNF,
Happy generates Haskell code to parse the grammar. Happy works in a similar way
to the 'yacc' tool for C.


%prep
%setup -q


%build
%ghc_bin_build

cd doc
autoreconf
./configure
make html
cd ..


%install
%ghc_bin_install


%check
%if %{with tests}
%cabal_test
%endif


%files
%license LICENSE
%doc ChangeLog.md examples
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%doc doc/happy
%{_datadir}/%{name}-%{version}


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.1.1-1
- initial build
